#Quad1portal1
from eventAPI import showPicture, tickGame, setExit
from APIUtils import poseYesNo

def fireEvent(e):
    showPicture(e, "bw_teleporter")
    if (poseYesNo(e,
        ["On the floor you find a metal teleportation circle with a star imprinted on it.",
         "Do you stand upon the metal circle?"])):
        tickGame(e, 60)
        setExit(e, "maps/bwquadrant1.cfg", 30, 25, 0)
    return 0
